# Payouts (Colombia)

***

### <mark style="color:orange;">POST</mark> /v1/payout

{% hint style="info" %}
**Request**
{% endhint %}

{% code overflow="wrap" %}

```bash
curl -v --location --request POST 'https://sandbox.smartfastpay.com/v1/payout' \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <Access-Token>' \
    --data-raw '{
        "customer_id": "d9e9557e-11a5-49df-b51b-d513a7f5b348",
        "name": "Jane Doe",
        "email": "richard@roe.com",
        "document": "86423835004",
        "amount": 15000,
        "currency": "COP",
        "country": "COL",
        "phone": "573051000002",
        "callback": "http://mysite.com/api/notification",
        "transaction": {
            "id": "22dd9e47-97c7-4982-af50-3d3e0782d054"
        }
    }'
```

{% endcode %}

{% hint style="info" %}
**Parameters details**
{% endhint %}

<table><thead><tr><th width="220">Parameter</th><th width="205" align="center">Type</th><th width="100" align="center">Required</th><th>Description</th></tr></thead><tbody><tr><td><mark style="color:red;"><code>customer_id</code></mark></td><td align="center"><mark style="color:red;"><code>string</code></mark><br><mark style="color:red;"><code>min: 1 | max: 255</code></mark></td><td align="center"><strong>yes</strong></td><td>The customer id stored on your platform for future identification.</td></tr><tr><td><mark style="color:red;"><code>branch</code></mark></td><td align="center"><mark style="color:red;"><code>string</code></mark><br><mark style="color:red;"><code>min: 1 | max: 255</code></mark></td><td align="center">no</td><td>When the merchant needs to keep track of its various offices / branch, this field must be fill.</td></tr><tr><td><mark style="color:red;"><code>name</code></mark></td><td align="center"><mark style="color:red;"><code>string</code></mark><br><mark style="color:red;"><code>min: 3 | max: 150</code></mark></td><td align="center"><strong>yes</strong></td><td>Name of the customer who started the transaction.</td></tr><tr><td><mark style="color:red;"><code>email</code></mark></td><td align="center"><mark style="color:red;"><code>string</code></mark><br><mark style="color:red;"><code>min: 30 | max: 255</code></mark></td><td align="center"><strong>yes</strong></td><td>Email of the customer who started the transaction.</td></tr><tr><td><mark style="color:red;"><code>document</code></mark></td><td align="center"><mark style="color:red;"><code>string</code></mark><br><mark style="color:red;"><code>Format: 99999999999</code></mark></td><td align="center"><strong>yes</strong></td><td>Colombia document of the customer who started the transaction.<br>- Must be a valid document;<br><mark style="color:red;"><code>Eg: 12345678909</code></mark></td></tr><tr><td><mark style="color:red;"><code>phone</code></mark></td><td align="center"><mark style="color:red;"><code>string</code></mark><br><mark style="color:red;"><code>Format: 999999999999</code></mark></td><td align="center"><strong>yes</strong></td><td>Colombia phone number of the customer who receive payout.<br>- Must be a valid phone;<br><mark style="color:red;"><code>Eg: 571234567890</code></mark></td></tr><tr><td><mark style="color:red;"><code>amount</code></mark></td><td align="center"><mark style="color:red;"><code>decimal (10,2)</code></mark><br><mark style="color:red;"><code>min: 2</code></mark></td><td align="center"><strong>yes</strong></td><td>The amount that the client specified when initiating the transaction showed IN COLOMBIAN PESO (use dot instead of comma)<br><mark style="color:red;"><code>Eg: 300.10</code></mark></td></tr><tr><td><mark style="color:red;"><code>currency</code></mark></td><td align="center"><mark style="color:red;"><code>string (3)</code></mark><br><mark style="color:red;"><code>(COP)</code></mark><br><mark style="color:red;"><code>min: 3 | max: 3</code></mark></td><td align="center"><strong>yes</strong></td><td>The currency type that the amount will be credited. COP is only allowed for the COL country</td></tr><tr><td><mark style="color:red;"><code>country</code></mark></td><td align="center"><mark style="color:red;"><code>string (3)</code></mark><br><mark style="color:red;"><code>(COL)</code></mark><br><mark style="color:red;"><code>min: 3 | max: 3</code></mark></td><td align="center"><strong>yes</strong></td><td>The country type that the amount will be credited. COP is only allowed for the COL country</td></tr><tr><td><mark style="color:red;"><code>callback</code></mark></td><td align="center"><mark style="color:red;"><code>string</code></mark><br><mark style="color:red;"><code>min: 30 | max: 250</code></mark><br><mark style="color:red;"><code>(Method: POST)</code></mark></td><td align="center"><strong>yes</strong></td><td>The URL in you site that our API will notify when the payment changes the status, the HTTP supported method should be HTTP<br><mark style="color:red;"><code>Eg: http://my-url-callback/</code></mark></td></tr><tr><td><mark style="color:red;"><code>transaction</code></mark></td><td align="center"></td><td align="center"></td><td></td></tr><tr><td><mark style="color:red;"><code>id</code></mark></td><td align="center"><mark style="color:red;"><code>string</code></mark><br><mark style="color:red;"><code>min: 1 | max: 255</code></mark></td><td align="center"><strong>yes</strong></td><td>The id of the transaction generated in you platform.</td></tr></tbody></table>

{% hint style="info" %}
**Response**
{% endhint %}

```json
{
    "requestId": "a2435636-5f69-447d-8e22-8382f62ef7dd",
    "data": {
        "id": "f569c39c-71c2-44a2-8f95-d5840886bbe3",
        "status": "pending",
        "values": {
            "total": "15000.00",
            "subtotal": "15000.00",
            "exchange": "1.00",
            "fee": 0
        }
    }
}
```

{% hint style="info" %}
**Response details**
{% endhint %}

<table><thead><tr><th width="161">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><mark style="color:red;"><code>id</code></mark></td><td>The created payout by the request made unique identificator. Can be used to verify the payout status in the <a href="#get-payout-id"><mark style="color:green;"><strong>GET</strong> /v1/payout/{id}</mark></a> endpoint</td></tr><tr><td><mark style="color:red;"><code>status</code></mark></td><td>The current status of the payment. These are our statuses: <mark style="color:red;"><code>pending</code></mark>, <mark style="color:red;"><code>success</code></mark>, <mark style="color:red;"><code>failed</code></mark>, <mark style="color:red;"><code>onhold</code></mark>, <mark style="color:red;"><code>returned</code></mark>, <mark style="color:red;"><code>refunded</code></mark></td></tr><tr><td><mark style="color:red;"><code>values</code></mark></td><td></td></tr><tr><td><mark style="color:red;"><code>total</code></mark></td><td>The full value of the transaction, including service fees. Decimal separator it a dot</td></tr><tr><td><mark style="color:red;"><code>subtotal</code></mark></td><td>The value of the transaction, without service fees. Decimal separator it a dot</td></tr><tr><td><mark style="color:red;"><code>exchange</code></mark></td><td>The exchange rate applied to the current transaction</td></tr><tr><td><mark style="color:red;"><code>fee</code></mark></td><td>The service fee value</td></tr></tbody></table>

***

### <mark style="color:green;">GET</mark> /v1/payout/{id}

{% hint style="info" %}
**Request**
{% endhint %}

```bash
curl -v --location --request GET 'https://sandbox.smartfastpay.com/v1/payout/{id}' \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <Access-Token>' \'
```

{% hint style="info" %}
**Response**
{% endhint %}

```json
{
    "requestId": "a2435636-5f69-447d-8e22-8382f62ef7dd",
    "data": {
        "id": "f569c39c-71c2-44a2-8f95-d5840886bbe3",
        "customer_id": "d9e9557e-11a5-49df-b51b-d513a7f5b348",
        "transaction_id": "22dd9e47-97c7-4982-af50-3d3e0782d054",
        "amount": "98000.00",
        "currency": "COL",
        "status": "pending",
        "created_at": "2021-11-11T19:08:20.000000Z",
        "updated_at": "2021-11-11T19:08:20.000000Z"
    }
}
```

{% hint style="info" %}
**Response details**
{% endhint %}

<table><thead><tr><th width="202">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><mark style="color:red;"><code>id</code></mark></td><td>The created payment by the request made unique identificator.</td></tr><tr><td><mark style="color:red;"><code>customer_id</code></mark></td><td>The customer id stored on your platform for future identification.</td></tr><tr><td><mark style="color:red;"><code>transaction_id</code></mark></td><td>The id of the transaction generated in you platform.</td></tr><tr><td><mark style="color:red;"><code>amount</code></mark></td><td>The amount that the client specified when initiating the transaction.</td></tr><tr><td><mark style="color:red;"><code>currency</code></mark></td><td>The currency type that the amount will be credited.</td></tr><tr><td><mark style="color:red;"><code>status</code></mark></td><td>The current status of the payment. These are our statuses: <mark style="color:red;"><code>pending</code></mark>, <mark style="color:red;"><code>success</code></mark>, <mark style="color:red;"><code>failed</code></mark>, <mark style="color:red;"><code>onhold</code></mark>, <mark style="color:red;"><code>returned</code></mark>, <mark style="color:red;"><code>refunded</code></mark></td></tr><tr><td><mark style="color:red;"><code>created_at</code></mark></td><td>The date and time the transaction was created.</td></tr><tr><td><mark style="color:red;"><code>updated_at</code></mark></td><td>The date and time the transaction was updated with new status.</td></tr></tbody></table>

***

### <mark style="color:green;">GET</mark> /v1/payouts

{% hint style="info" %}
**Request**
{% endhint %}

```bash
# Without parameters

curl -v --location --request GET 'https://sandbox.smartfastpay.com/v1/payouts' \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <Access-Token>' \'
```

```bash
# With parameters

curl -v --location --request GET 'https://sandbox.smartfastpay.com/v1/payouts?limit=1&order=id,desc' \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <Access-Token>' \'
```

{% hint style="info" %}
**Parameters details**
{% endhint %}

<table><thead><tr><th width="192">Parameter</th><th width="269" align="center">Type</th><th>Description</th></tr></thead><tbody><tr><td><mark style="color:red;"><code>limit</code></mark></td><td align="center"><mark style="color:red;"><code>integer</code></mark><br><mark style="color:red;"><code>min: 1 | max: 40</code></mark></td><td>The number of items to return in the response.</td></tr><tr><td><mark style="color:red;"><code>page</code></mark></td><td align="center"><mark style="color:red;"><code>integer</code></mark><br><mark style="color:red;"><code>min: 1 | max: 9999999</code></mark></td><td>The page number indicating which set of items will be returned in the response. So, the combination of <mark style="color:red;"><code>page=1</code></mark> and <mark style="color:red;"><code>limit=20</code></mark> returns the first 20 items. The combination of <mark style="color:red;"><code>page=2</code></mark> and <mark style="color:red;"><code>limit=20</code></mark> returns items 21 through 40.</td></tr><tr><td><mark style="color:red;"><code>sort</code></mark></td><td align="center"><mark style="color:red;"><code>string</code></mark><br><mark style="color:red;"><code>Format: item,(asc|desc)</code></mark></td><td>Sorts the items in the response by filter in ascending or descending order.<br>Eg.: <mark style="color:red;"><code>sort=id,desc</code></mark><br><em>(This combination returns a list in descending order based on id.)</em></td></tr><tr><td><mark style="color:red;"><code>start_time</code></mark></td><td align="center"><mark style="color:red;"><code>string</code></mark><br><mark style="color:red;"><code>Internet date and time format</code></mark></td><td>The start date and time for the range to show in the response, in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">Internet date and time format</a>.<br>Eg.: <mark style="color:red;"><code>start_time=2021-09-05T11:00:00Z</code></mark>.</td></tr><tr><td><mark style="color:red;"><code>end_time</code></mark></td><td align="center"><mark style="color:red;"><code>string</code></mark><br><mark style="color:red;"><code>Internet date and time format</code></mark></td><td>The end date and time for the range to show in the response, in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">Internet date and time format</a>.<br>Eg.: <mark style="color:red;"><code>end_time=2021-09-05T11:00:00Z</code></mark>.</td></tr><tr><td><mark style="color:red;"><code>customer_id</code></mark></td><td align="center"><mark style="color:red;"><code>string</code></mark><br><mark style="color:red;"><code>min: 1 | max: 255</code></mark></td><td>Sorts the items in the response by looking for the customer_id that was once provided by your system.</td></tr><tr><td><mark style="color:red;"><code>transaction_id</code></mark></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td>Sorts the items in the response by looking for the transaction_id that was once provided by your system.<br>To get multiple transaction_id, send each transaction_id separating by comma (,).<br>Eg.: <mark style="color:red;"><code>8fecdfcc-4e4d-11ee</code></mark><code>,</code><mark style="color:red;"><code>8fece5ee-4e4d-11ee</code></mark><code>, </code><mark style="color:red;"><code>d42953be-4e4d-11ee</code></mark></td></tr></tbody></table>

{% hint style="info" %}
**Response**
{% endhint %}

```json
{
    "requestId": "a2435636-5f69-447d-8e22-8382f62ef7dd",
    "data": [
        {
            "id": "897c9e20-1262-4679-a850-403d37b2a727",
            "customer_id": "d9e9557e-11a5-49df-b51b-d513a7f5b348",
            "transaction_id": "22dd9e47-97c7-4982-af50-3d3e0782d054",
            "amount": "98000.00",
            "currency": "COL",
            "status": "pending",
            "created_at": "2021-11-11T19:08:20.000000Z",
            "updated_at": "2021-11-11T19:08:20.000000Z"
        },
        {
            "id": "f569c39c-71c2-44a2-8f95-d5840886bbe3",
            "customer_id": "58f0c005-3b7d-4c75-81f3-93b9a6fee864",
            "transaction_id": "b08e3897-6505-4bb4-81a5-6e3a1d29e277",
            "amount": "30000.00",
            "currency": "COL",
            "status": "pending",
            "created_at": "2021-11-11T19:08:20.000000Z",
            "updated_at": "2021-11-11T19:08:20.000000Z"
        }
    ]
}
```

{% hint style="info" %}
**Response details**
{% endhint %}

<table><thead><tr><th width="192">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><mark style="color:red;"><code>id</code></mark></td><td>The created payment by the request made unique identificator.</td></tr><tr><td><mark style="color:red;"><code>customer_id</code></mark></td><td>The customer id stored on your platform for future identification.</td></tr><tr><td><mark style="color:red;"><code>transaction_id</code></mark></td><td>The id of the transaction generated in you platform.</td></tr><tr><td><mark style="color:red;"><code>amount</code></mark></td><td>The amount that the client specified when initiating the transaction.</td></tr><tr><td><mark style="color:red;"><code>currency</code></mark></td><td>The currency type that the amount will be credited.</td></tr><tr><td><mark style="color:red;"><code>status</code></mark></td><td>The current status of the payment. These are our statuses: <mark style="color:red;"><code>pending</code></mark>, <mark style="color:red;"><code>success</code></mark>, <mark style="color:red;"><code>failed</code></mark>, <mark style="color:red;"><code>onhold</code></mark>, <mark style="color:red;"><code>returned</code></mark>, <mark style="color:red;"><code>refunded</code></mark></td></tr><tr><td><mark style="color:red;"><code>created_at</code></mark></td><td>The date and time the transaction was created.</td></tr><tr><td><mark style="color:red;"><code>updated_at</code></mark></td><td>The date and time the transaction was updated with new status.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.smartfastpay.com/v1/reference/payouts/colombia.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
